import 'package:graphs/pages/drawing_page.dart';
import 'package:desktop_window/desktop_window.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

Future setupWindow() async {
  await DesktopWindow.setMinWindowSize(const Size(850, 700));
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    setupWindow();
    return const MaterialApp(
      title: "Graphs",
      home: DrawingPage(),
    );
  }
}
